%define name xmms-more-vis-plugins
%define version 1.7.0
%define prefix %{_prefix}
%define release 4mdk

%define morepluga jakdaw-0.0.4
%define moreplugb synaesthesia-xmms-0.0.3-rc3
%define moreplugc xmms_speakers-2.01
%define moreplugd infinity-0.2
%define morepluge bump_scope-0.0.3
%define moreplugf JESS-2.9.1
%define moreplugg gforce-1.1.6xp3
%define moreplugh paranormal-0.2.0
%define moreplugi iris-0.11
%define moreplugnoautoconfa wmdiscotux-1.3
%define moreplugj xmms-nebulus-0.6.0
%define moreplugk goom-1.99.4

Name: %{name}
Summary: XMMS - More visualization plugins.
Version: %{version}
Release: %{release}
Source0: http://www.jakdaw.ucam.org/xmms/%{morepluga}.tar.bz2
Source1: http://staff.xmms.org/zinx/xmms/%{moreplugb}.tar.bz2
Source2: http://home.swipnet.se/~w-92416/plugins/%{moreplugc}.tar.bz2
Source3: http://wmdiscotux.stc.cx/%{moreplugnoautoconfa}.tar.bz2
Source4: http://julien.carme.free.fr/%{moreplugd}.tar.bz2
Source5: http://staff.xmms.org/zinx/xmms/%{morepluge}.tar.bz2
Source6: http://arquier.free.fr/%{moreplugf}.tar.bz2
Source7: %{moreplugg}.tar.bz2
Source8: http://prdownloads.sourceforge.net/paranormal/%{moreplugh}.tar.bz2
Source9: http://cdelfosse.free.fr/xmms-iris/%{moreplugi}.tar.bz2
Source10: http://nebulus.tuxfamily.org/%{moreplugj}.tar.bz2
Source11: http://ios.free.fr/%{moreplugk}.tar.bz2
Source100: ltconfig.bz2
Patch0: wmdiscotux-1.3.patch.bz2
Patch1: xmms_speakers-2.01.patch.bz2
Patch2: infinite-remove-need-of-xmms-config.patch.bz2
Patch3: xmms-more-vis-plugins-fix-compile-gcc-2.96.patch.bz2
Patch4: gforce-fix-compile.patch.bz2
Patch5: infinite-fix-gtk-cflags.patch.bz2
Patch6: gforce-1.1.6xp3.dga.patch.bz2
Patch7: jess-2.9.0-makefile-ppc.patch.bz2
Patch8: jess-2.9.0-makefile-alpha.patch.bz2
Patch9: paranormal-0.2.0-fix-xml-detection.patch.bz2
Patch10: gforce-libsupc++.patch.bz2
Patch11: wmdiscotux-1.3.-gcc3.3.patch.bz2
Patch12: goom-1.99.4-gcc3.3.patch.bz2
Patch13: gforce-1.1.6xp3-dont-segfault-when-toggling-fullscreen-as-nonroot.patch.bz2
Patch14: xmms-nebulus-0.6.0-dont-stop-right-after-start.patch.bz2

License: GPL
Group: Sound
URL: http://www.xmms.org/
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: xmms >= 1.0.0
# (gc) yes the binary of xmms is tested for existence in the configure script
BuildRequires: xmms
BuildRequires: SDL-devel autoconf automake gcc-c++ libMesaGLU-devel alsa-lib-devel esound-devel
BuildRequires: gtk+-devel libxml2-devel texinfo xmms-devel xpm-devel
Obsoletes: xmms-goom
ExclusiveArch: %{ix86} ppc

%description
More visualization plugins, from the best ones found on the home page of xmms
(http://www.xmms.org).

This package provides the following plugins:
- Jakdaw's plugin (blur oscilloscope),
- Infinity (interactive blur light effects),
- Synaesthesia (blur spots),
- wmdiscotux (tux moving on the music),
- Bump scope (bump version of the blur scope),
- G-Force (similar to Winamp Geiss),
- Jess (blur and deformation oscilloscope),
- Paranormal (pseudo-programmable audio visualization library, based
  (conceptually) on Winamp's AVS plugin),
- Iris OpenGL spectrum analyzer,
- Nebulus demo-like effects,
- Goom (multiple visual effects).

%package unsafe
Summary: XMMS - More visualization plugins (unsafe ones, often segfault...)
Group: Sound

%description unsafe
More visualization plugins. These ones are a bit dangerous and often cause
XMMS to segfault. Use at your own risk.

It provides the following plugins:
- xmms speakers.

%prep
%setup -q -a 1 -a 2 -a 3 -a 4 -a 5 -a 6 -a 7 -a 8 -a 9 -a 10 -a 11 -n %{morepluga}
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
mv gforce-1.1.6xp3/Common/General\ Tools gforce-1.1.6xp3/Common/GeneralTools
%patch4 -p0
mv gforce-1.1.6xp3/Common/GeneralTools gforce-1.1.6xp3/Common/General\ Tools
%patch5 -p0
%patch6 -p0
%ifarch ppc
%patch7 -p1
%endif
%ifarch alpha
%patch8 -p1
%endif
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p1
%patch14 -p1

# remove nasty no-newline-at-end-of-line, it bothers gcc-2.96
find . -name "*.h"   -exec perl -pi -e '$_.="\n" if eof' {} \;
# have ltconfig-1.3.5 so that libtool will manager to create a .so even if some XFree extensions are not available as .so
bzcat %{SOURCE100} > %{moreplugh}/ltconfig
# mkdirhier is just mkdir -p, but it's in XFree86, and I don't want to BuildRequires XFree86 for this nonsense
perl -pi -e 's/mkdirhier/mkdir -p/' gforce*/Makefile*

%build
%configure
make

cd %{moreplugnoautoconfa}
make
cd ..

cd %{moreplugk}
automake
cd ..

for i in %{moreplugb} %{morepluge} %{moreplugf} %{moreplugi} %{moreplugk}
do
  cd $i
  %configure
  make
  cd ..
done
 
cd %{moreplugc}
automake
%configure --libdir=/%{_libdir}/xmms/Visualization
make
cd ..
 
cd %{moreplugd}
rm -f config.cache
automake
%configure
make
cd ..

cd %{moreplugg}
aclocal
libtoolize --copy --force
%configure
make
cd ..

cd %{moreplugh}
aclocal
libtoolize --copy --force
autoconf
%configure
make
cd ..

for i in %{moreplugj}
do
  cd $i
  %configure2_5x
  make
  cd ..
done


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization
mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}

%makeinstall libdir=$RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization

for i in %{moreplugb} %{moreplugc} %{morepluge} %{moreplugf} %{moreplugg} %{moreplugh} %{moreplugi} %{moreplugj} %{moreplugk}
do
    cd $i
	%makeinstall libdir=$RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization
    cd ..
done

cd %{moreplugd}
%makeinstall libdir=$RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization datadir=$RPM_BUILD_ROOT/%{_datadir}/xmms
cd ..

install -m755 %{moreplugnoautoconfa}/libwmdiscotux.so $RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization

install -m755 %{moreplugf}/.libs/* $RPM_BUILD_ROOT%{_libdir}/xmms/Visualization

install -m644 README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/README.%{morepluga}
install -m644 %{moreplugb}/README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/README.%{moreplugb}
install -m644 %{moreplugc}/README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/unsafe.README.%{moreplugc}
install -m644 %{moreplugnoautoconfa}/README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/README.%{moreplugnoautoconfa}
install -m644 %{moreplugd}/README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/README.%{moreplugd}
install -m644 %{morepluge}/README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/README.%{morepluge}
install -m644 %{moreplugf}/README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/README.%{moreplugf}
install -m644 %{moreplugg}/README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/README.%{moreplugg}
install -m644 %{moreplugh}/README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/README.%{moreplugh}
install -m644 %{moreplugi}/README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/README.%{moreplugi}
install -m644 %{moreplugj}/README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/README.%{moreplugj}
install -m644 %{moreplugk}/README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/README.%{moreplugk}

rm -f $RPM_BUILD_ROOT/%{_bindir}/{gforce,paranormal,pndoc}
rm -f $RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization/lib{gforce,infinite}.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization/libjess.lai

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/README.*
%{_libdir}/xmms/Visualization/libjakdaw*
%{_libdir}/xmms/Visualization/libsynaesthesia*
%{_libdir}/xmms/Visualization/libwmdiscotux*
%{_libdir}/xmms/Visualization/libinfinite*.??
%{_datadir}/xmms/infinite_states
%{_libdir}/xmms/Visualization/libbumpscope*
%{_libdir}/xmms/Visualization/libgforce*.??
%{_libdir}/xmms/Visualization/libparanormal*.??
%{_datadir}/gforce
%{_libdir}/xmms/Visualization/libjess*.??
%{_libdir}/xmms/Visualization/libiris*.??
%{_libdir}/xmms/Visualization/libnebulus*.??
%{_libdir}/xmms/Visualization/libgoom*.??

%files unsafe
%defattr(-,root,root)
%{_docdir}/%{name}-%{version}/unsafe.README.*
%{_libdir}/xmms/Visualization/libxmms_speakers*

%changelog
* Mon Oct  6 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7.0-4mdk
- Patch13: gforce-1.1.6xp3-dont-segfault-when-toggling-fullscreen-as-nonroot
- nebulus 0.6.0
- Patch14: xmms-nebulus-0.6.0-dont-stop-right-after-start

* Wed Aug 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.7.0-3mdk
- patch12: fix multiline strings and gcc problem in goom
- patch11: fix multiline strings in wmdiscotux

* Mon Apr  7 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7.0-2mdk
- obsoletes xmms-goom

* Sat Apr  5 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7.0-1mdk
- own docdir (#3515)
- iris-0.11
- nebulus-0.5.0
- add goom

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.6.0-2mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Mon Aug  5 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.0-1mdk
- include "nebulus" plugin, IMO it's now the best of this package..
  quite impressive indeed, a "demo" feeling :-)

* Mon Jul 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.5.1-7mdk
- GForce: don't use "mkdirhier" but "mkdir -p", so that we don't depend
  on XFree86
- patch #10 to have -lsupc++ -lgcc_s, since gb decided that libtool should
  not handle that automatically (since libtool is not supposed to know if
  the program/shlib really depends on c++ stuff or not)

* Fri Jul 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5.1-6mdk
- Automated rebuild with gcc3.2

* Wed Jul 17 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.5.1-5mdk
- rebuild to get rid of dep on libarts (it was through libSDL)
- new versions:
  - jess 2.9.1
  - iris 0.10 (seems stable now, move it out from unsafe)

* Wed May 15 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.5.1-4mdk
- rebuild with latest libtool to fix C++ linkage problem

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.5.1-3mdk
- rebuild for new alsa

* Fri Apr 19 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.5.1-2mdk
- switch back iris to unsafe plugin

* Mon Apr 15 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.5.1-1mdk
- Iris 0.9

* Fri Feb 15 2002 Stefan van der Eijk <stefan@eijk.nu> 1.5.0-2mdk
- ExclusiveArch: %%ix86 and ppc only -- doesn't work where sizeof(long) != 4.
  (snailtalk)

* Wed Jan 30 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.5.0-1mdk
- add Iris plugin (in unsafe section)
- bump
  - synaesthesia to 0.0.3-rc3
  - bump_scope to 0.0.3
- need to provide a more recent ltconfig for `paranormal', to make
  libtool not consider the unavailability of some XFree extensions as
  dynamic libs a failure condition

* Mon Dec  3 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.4.0-5mdk
- remove i686 specifics in jess Makefile - alpha

* Thu Oct 25 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.4.0-4mdk
- remove i686 specifics in jess Makefile - PPC

* Wed Sep 19 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-3mdk
- upgrade Jess to 2.9.0

* Wed Aug 01 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.0-2mdk
- fix BuildRequires

* Fri Jul 20 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-1mdk
- add Paranormal plugin

* Mon Jul  2 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.0-4mdk
- fix description-line-too-long

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.0-3mdk
- new SDL

* Tue Mar 27 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.0-2mdk
- update JESS version to 2.0.0 (rulz + no segfaults)

* Mon Mar  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.0-1mdk
- add G-Force (with DGA patch)
- updates
  - jakdaw-0.0.4
  - speakers-2.01
  - wmdiscotux-1.3
- create "unsafe" subpackage, and put Jess plugin in it

* Thu Jan 11 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.0-4mdk
- BuildRequires: libSDL1.1-devel

* Sat Jan  6 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-3mdk
- disable Jess plugin which segfaults a lot

* Tue Nov 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-2mdk
- recompile with xmms following new lib policy

* Mon Nov  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-1mdk
- add Jess plugin thanks to Lenny, Gtz Waschk <waschk@linux-mandrake.com>,
  Armando Montiel <amontiel@mpsnet.net.mx>
- fix compile with gcc-2.96

* Fri Aug 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-4mdk
- added full path for all plugins to ease further upgrade/maintaining
  of the package

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-3mdk
- automatically added packager tag

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-2mdk
- BM

* Tue Jun 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-1mdk
- update: infinity-0.2
- update: synaesthesia-0.0.2beta
- new!: bump_scope
- scriptization
- new versioning system for this package

* Sat Jun 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-9mdk
- uncessary to put libinfinite.a in package

* Fri Jun  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-8mdk
- added `infinite' plugin

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-7mdk
- Use configure macros.
- BuildRequires: xmms-devel

* Wed Apr  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-6mdk
- first release as a separate SRPM
- added documentation from each plugin
